Bug 1693513 - Review Request: gap-pkg-jupyterviz - Jupyter notebook visualization tools for GAP
Summary: Review Request: gap-pkg-jupyterviz - Jupyter notebook visualization tools for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 03:30 UTC by Jerry James
Modified: 2019-07-08 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-08 01:08:48 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jerry James 2019-03-28 03:30:26 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-jupyterviz/gap-pkg-jupyterviz.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-jupyterviz/gap-pkg-jupyterviz-1.5.0-1.fc31.src.rpm
Fedora Account System Username: jjames
Description: This package adds visualization tools to GAP for use in Jupyter notebooks.  These include standard line and bar graphs, pie charts, scatter plots, and graphs in the vertices-and-edges sense.

Comment 1 Robert-André Mauchin 2019-03-29 17:03:26 UTC
 - Bump to 1.5.1, released this a day ago

 - ask upstream for a license file

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GPL (v2 or later)". 145
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/gap-pkg-jupyterviz/review-gap-pkg-
     jupyterviz/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gap-pkg-
     jupyterviz
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-jupyterviz-1.5.0-1.fc31.noarch.rpm
          gap-pkg-jupyterviz-doc-1.5.0-1.fc31.noarch.rpm
          gap-pkg-jupyterviz-1.5.0-1.fc31.src.rpm
gap-pkg-jupyterviz.noarch: W: spelling-error Summary(en_US) Jupyter -> Jupiter, Junketeer
gap-pkg-jupyterviz.noarch: W: only-non-binary-in-usr-lib
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch1introduction.gd #! @Chapter Introduction
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch1introduction.gd 644 #! @Chapter Introduction
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch2highlevelapi.gd @Chapter Using the high-level API
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch2highlevelapi.gd 644 @Chapter Using the high-level API
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch3lowlevelapi.gd @Chapter Using the low-level API
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch3lowlevelapi.gd 644 @Chapter Using the low-level API
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch4generaltools.gd @Chapter Using general tools (HTML, canvas, D3)
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch4generaltools.gd 644 @Chapter Using general tools (HTML, canvas, D3)
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch5extending.gd #! @Chapter Adding new visualization tools
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch5extending.gd 644 #! @Chapter Adding new visualization tools
gap-pkg-jupyterviz.noarch: E: wrong-script-interpreter /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch6limitations.gd #! @Chapter Limitations
gap-pkg-jupyterviz.noarch: E: non-executable-script /usr/lib/gap/pkg/jupyterviz-1.5.0/lib/ch6limitations.gd 644 #! @Chapter Limitations
gap-pkg-jupyterviz-doc.noarch: W: spelling-error Summary(en_US) Jupyter -> Jupiter, Junketeer
gap-pkg-jupyterviz-doc.noarch: W: only-non-binary-in-usr-lib
gap-pkg-jupyterviz-doc.noarch: W: no-documentation
gap-pkg-jupyterviz.src: W: spelling-error Summary(en_US) Jupyter -> Jupiter, Junketeer
3 packages and 0 specfiles checked; 12 errors, 6 warnings.

Comment 2 Jerry James 2019-06-26 01:30:59 UTC
Due to my sloth, the repos were not created within 60 days.  For purposes of re-review, here are the latest URLs:

Spec URL: https://jjames.fedorapeople.org/gap-pkg-jupyterviz/gap-pkg-jupyterviz.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-jupyterviz/gap-pkg-jupyterviz-1.5.1-1.fc31.src.rpm

Comment 3 Robert-André Mauchin 2019-06-26 12:14:34 UTC
Reapproved.

Comment 4 Mohan Boddu 2019-06-28 19:34:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gap-pkg-jupyterviz

Comment 5 Fedora Update System 2019-06-29 13:52:08 UTC
FEDORA-2019-12adb8e322 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-12adb8e322

Comment 6 Fedora Update System 2019-06-30 01:16:35 UTC
gap-pkg-jupyterviz-1.5.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-12adb8e322

Comment 7 Fedora Update System 2019-07-08 01:08:48 UTC
gap-pkg-jupyterviz-1.5.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.